Bug 928770 - gnome-abrt abrt fails if invalid problem is selected
Summary: gnome-abrt abrt fails if invalid problem is selected
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-abrt
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fdded173ba6ba489326935eda9c...
Keywords:
Depends On: 926010
Blocks: 928769
TreeView+ depends on / blocked
 
Reported: 2013-03-28 12:16 UTC by Jakub Filak
Modified: 2016-12-01 00:43 UTC (History)
3 users (show)

(edit)
Clone Of: 926010
(edit)
Last Closed: 2013-04-10 01:31:39 UTC


Attachments (Terms of Use)

Description Jakub Filak 2013-03-28 12:16:04 UTC
+++ This bug was initially created as a clone of Bug #926010 +++

Version-Release number of selected component:
gnome-abrt-0.2.9-1.fc19

Additional info:
cmdline:        python /usr/bin/gnome-abrt
executable:     /usr/bin/gnome-abrt
kernel:         3.9.0-0.rc3.git0.4.fc19.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
dbus_problems.py:131:get_items:InvalidProblem: '/var/tmp/abrt/oops-2013-03-23-04:34:13-780-1' is not a valid problem directory

Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/views.py", line 387, in on_gac_report_activate
    if selected and not selected['not-reportable']:
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 123, in __getitem__
    loaded = self.__loaditems__(item)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/problems.py", line 104, in __loaditems__
    items = self.source.get_items(self.problem_id, *args)
  File "/usr/lib64/python2.7/site-packages/gnome_abrt/dbus_problems.py", line 131, in get_items
    raise errors.InvalidProblem(e.message)
InvalidProblem: '/var/tmp/abrt/oops-2013-03-23-04:34:13-780-1' is not a valid problem directory

Local variables in innermost frame:
info: {}
self: <gnome_abrt.dbus_problems.DBusProblemSource object at 0x1d2b490>
args: ('not-reportable',)
e: DBusException("'/var/tmp/abrt/oops-2013-03-23-04:34:13-780-1' is not a valid problem directory",)
problem_id: '/var/tmp/abrt/oops-2013-03-23-04:34:13-780-1'

--- Additional comment from mussadek on 2013-03-23 10:08:04 CET ---

Created attachment 714994 [details]
File: backtrace

--- Additional comment from mussadek on 2013-03-23 10:08:07 CET ---

Created attachment 714995 [details]
File: core_backtrace

--- Additional comment from mussadek on 2013-03-23 10:08:10 CET ---

Created attachment 714996 [details]
File: environ

--- Additional comment from Jakub Filak on 2013-03-25 18:59:12 CET ---

Fixed in upstream:

commit 8f82638053a86defcdbd4dad4acac3fbd40e4ba1
Author: Jakub Filak <jfilak@redhat.com>
Date:   Mon Mar 25 16:26:41 2013 +0100

    Catch more exceptions and handle them correctly
    
    - closes rhbz#926010
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
    Signed-off-by: Michal Toman <mtoman@redhat.com>

Comment 1 Fedora Update System 2013-03-29 10:15:52 UTC
gnome-abrt-0.2.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gnome-abrt-0.2.10-2.fc17

Comment 2 Fedora Update System 2013-04-10 01:31:43 UTC
gnome-abrt-0.2.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.